alle opties
bullseye  ] [  sid  ]
[ Bron: ruby-cancancan  ]

Pakket: ruby-cancancan (3.0.1+gh-1)

Verwijzigingen voor ruby-cancancan

Screenshot

Debian bronnen:

Het bronpakket ruby-cancancan downloaden:

Beheerders:

Externe bronnen:

Vergelijkbare pakketten:

Authorization Gem for Ruby on Rails

CanCanCan is an authorization library for Ruby >= 2.2.0 and Ruby on Rails >= 4.2 which restricts what resources a given user is allowed to access.

All permissions can be defined in one or multiple ability files and not duplicated across controllers, views, and database queries, keeping your permissions logic in one place for easy maintenance and testing.

It consists of two main parts:

 1. Authorizations library that allows you to define the rules to access
different objects, and provides helpers to check for those permissions.
 2. Rails helpers to simplify the code in Rails Controllers by performing the
loading and checking of permissions of models automatically and reduce duplicated code.

Andere aan ruby-cancancan gerelateerde pakketten

  • depends
  • recommends
  • suggests
  • enhances

ruby-cancancan downloaden

Pakket downloaden voor alle beschikbare platforms
Platform Pakketgrootte Geïnstalleerde grootte Bestanden
all 29,4 kB131,0 kB [overzicht]